#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
extern "C" {
    fn malloc(_: libc::c_ulong) -> *mut libc::c_void;
    fn free(_: *mut libc::c_void);
}
pub type __uint8_t = libc::c_uchar;
pub type uint8_t = __uint8_t;
#[no_mangle]
pub unsafe extern "C" fn heap_temporal() -> *mut uint8_t {
    let mut buf: *mut uint8_t = malloc(
        (::core::mem::size_of::<uint8_t>() as libc::c_ulong)
            .wrapping_mul(10 as libc::c_int as libc::c_ulong),
    ) as *mut uint8_t;
    free(buf as *mut libc::c_void);
    return buf;
}
unsafe fn main_0() -> libc::c_int {
    heap_temporal();
    return 0;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
